diff options
author | Nicolas Vigier <boklm@mageia.org> | 2011-03-04 00:23:53 +0000 |
---|---|---|
committer | Nicolas Vigier <boklm@mageia.org> | 2011-03-04 00:23:53 +0000 |
commit | cffb594f43f0b41ce2f5e5c2fa266074c4c262d0 (patch) | |
tree | 9841c9c2ac472977703e1f21c4601321fab2269b | |
parent | 552f850800e2ca25450fbd76fde9d58177c9bd8c (diff) | |
download | rpm-setup-cffb594f43f0b41ce2f5e5c2fa266074c4c262d0.tar rpm-setup-cffb594f43f0b41ce2f5e5c2fa266074c4c262d0.tar.gz rpm-setup-cffb594f43f0b41ce2f5e5c2fa266074c4c262d0.tar.bz2 rpm-setup-cffb594f43f0b41ce2f5e5c2fa266074c4c262d0.tar.xz rpm-setup-cffb594f43f0b41ce2f5e5c2fa266074c4c262d0.zip |
check if pkgconfig version is defined, or exit with an error
-rwxr-xr-x | pkgconfigdeps.sh | 4 |
1 files changed, 4 insertions, 0 deletions
diff --git a/pkgconfigdeps.sh b/pkgconfigdeps.sh index f5eb66c..f9fb1e5 100755 --- a/pkgconfigdeps.sh +++ b/pkgconfigdeps.sh @@ -26,8 +26,10 @@ case $1 in PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-provides $pcfiles 2> /dev/null | while read n r v ; do # We have a dependency. Make a note that we need the pkgconfig # tool for this package. + test -z $v && echo "Error with pkgconfig($n)" >&2 && exit 1 echo "pkgconfig($n)" "$r" "$v" done + test $? -ne 0 && exit 1 # The dependency on the pkgconfig package itself. ;; -R|--requires) @@ -39,8 +41,10 @@ case $1 in esac done PKG_CONFIG_PATH=$PKG_CONFIG_PATH $pkgconfig --print-requires ${pcfiles} 2> /dev/null | while read n r v ; do + test -z $v && echo "Error with pkgconfig($n)" >&2 && exit 1 echo "pkgconfig($n)" "$r" "$v" done + test $? -ne 0 && exit 1 ;; esac exit 0 |